Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 692490

Summary: media-video/shotcut-19.12.31 version bump
Product: Gentoo Linux Reporter: kunda <chitty_cloud>
Component: Current packagesAssignee: reagentoo <reagentoo>
Status: RESOLVED FIXED    
Severity: normal CC: chris, proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.shotcut.org/blog/new-release-191231/
See Also: https://bugs.gentoo.org/show_bug.cgi?id=683684
https://github.com/gentoo/gentoo/pull/14393
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 629826    

Comment 2 Chris Smith 2019-12-22 23:21:25 UTC
Ebuild for webvfx, provides qmelt support to Shotcut

https://bugs.gentoo.org/show_bug.cgi?id=703576
Comment 3 Chris Smith 2019-12-22 23:28:17 UTC
(In reply to Chris Smith from comment #2)
> Ebuild for webvfx, provides qmelt support to Shotcut
> 
> https://bugs.gentoo.org/show_bug.cgi?id=703576

sorry - Meant for another Shotcut bug report
Comment 4 Andreas Sturmlechner gentoo-dev 2019-12-22 23:49:51 UTC
reagentoo, are you still interested in maintaining this package?
Comment 5 reagentoo 2020-01-19 10:16:12 UTC
Hi All. I've added new shotcut and webvfx ebuilds to my overlay:
https://github.com/reagentoo/gentoo-overlay/tree/master/media-video/shotcut
https://github.com/reagentoo/gentoo-overlay/tree/master/media-libs/webvfx

Chris Smith, please try to build shotcut with next USE sets:
USE="webvfx webkit"
USE="webkit"
USE=""
Check for broken filters or other things. Especially with USE="".

@asturm, Please make preliminary review for shotcut-19.12.31.ebuild.
I'll move a new ebuilds to the gentoo tree after your acknowledge.
Comment 6 Andreas Sturmlechner gentoo-dev 2020-01-19 19:44:30 UTC
Glad you're back; file a PR, you know how it goes. ;)
Comment 7 Andreas Sturmlechner gentoo-dev 2020-01-19 20:02:04 UTC
(In reply to reagentoo from comment #5)
> @asturm, Please make preliminary review for shotcut-19.12.31.ebuild.
I see a lot of hacking going on in src_prepare. This should really be made as a patch, bonus points for applying unconditionally (as in upstreamable with a USE_WEBKIT function).
Comment 8 reagentoo 2020-01-19 21:44:54 UTC
(In reply to Andreas Sturmlechner from comment #7)
> (In reply to reagentoo from comment #5)
> > @asturm, Please make preliminary review for shotcut-19.12.31.ebuild.
> I see a lot of hacking going on in src_prepare. This should really be made
> as a patch, bonus points for applying unconditionally (as in upstreamable
> with a USE_WEBKIT function).

In fact, shotcut does not make a good impression in general. Support for patches will be too tedious. I believe that these sed-hacks will work for many releases. They do not introduce any artifacts into the behavior of the application. And changes by this seds are clear enough for anyone. But if you still think that these seds are not acceptable, I'll make PR without src_prepare.
Comment 9 Andreas Sturmlechner gentoo-dev 2020-01-20 00:29:31 UTC
(In reply to reagentoo from comment #8)
> (In reply to Andreas Sturmlechner from comment #7)
> > (In reply to reagentoo from comment #5)
> > > @asturm, Please make preliminary review for shotcut-19.12.31.ebuild.
> > I see a lot of hacking going on in src_prepare. This should really be made
> > as a patch, bonus points for applying unconditionally (as in upstreamable
> > with a USE_WEBKIT function).
> 
> In fact, shotcut does not make a good impression in general. Support for
> patches will be too tedious. I believe that these sed-hacks will work for
> many releases. They do not introduce any artifacts into the behavior of the
> application. And changes by this seds are clear enough for anyone. But if
> you still think that these seds are not acceptable, I'll make PR without
> src_prepare.

A breaking patch at least will tell you about changes in the area. The sed hacks may cease to work in parts or completely, in utter silence. In my experience, when it comes down to it, they are less sustainable than keeping a patch up to date in a 'gentoo' branch on the upstream git repository clone.

That said, I would not block the version bump for hard-depending on qtwebkit, it is not likely to go away tomorrow, and a patch that makes it optional could be shipped any time later.

In the meantime you could test the water with upstream how open they would be to make qtwebkit optional, if they don't already plan to switch to qtwebengine; I don't know if anyone took it to them yet.
Comment 10 Larry the Git Cow gentoo-dev 2020-02-03 15:51:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a69badca5cba4d1a073fe1c6af9e290015ac2a6e

commit a69badca5cba4d1a073fe1c6af9e290015ac2a6e
Author:     reagentoo <reagentoo@gmail.com>
AuthorDate: 2020-01-20 08:20:54 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-02-03 15:50:34 +0000

    media-video/shotcut: v19.12.31
    
    Closes: https://bugs.gentoo.org/692490
    Signed-off-by: Dmitry Baranov <reagentoo@gmail.com>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-video/shotcut/Manifest                |  1 +
 media-video/shotcut/shotcut-19.12.31.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)